unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBClient, NxGridView6, NxControls6, NxCustomGrid6,
  NxVirtualGrid6, NxDBGrid6, NxColumns6, NxDBColumns6, StdCtrls;

type
  TForm1 = class(TForm)
    ClientDataSet1: TClientDataSet;
    ClientDataSet1Person: TStringField;
    ClientDataSet1Income: TFloatField;
    ClientDataSet1DOB: TDateTimeField;
    ClientDataSet1Gender: TSmallintField;
    ClientDataSet1Comment: TMemoField;
    NextDBGrid61: TNextDBGrid6;
    DataSource1: TDataSource;
    NxReportGridView61: TNxReportGridView6;
    NxDBTextColumn61: TNxDBTextColumn6;
    NxDBNumberColumn61: TNxDBNumberColumn6;
    NxDBDateColumn61: TNxDBDateColumn6;
    NxDBNumberColumn62: TNxDBNumberColumn6;
    NxDBMemoColumn61: TNxDBMemoColumn6;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  DateUtils;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ClientDataSet1.Append;
  ClientDataSet1.Fields[0].AsString := 'George';
  ClientDataSet1.Fields[1].AsFloat := 70000;
  ClientDataSet1.Fields[2].AsDateTime := IncYear(Today, -50);
  ClientDataSet1.Fields[3].AsInteger := 1;
  ClientDataSet1.Fields[4].AsString := 'This is comment text';
  ClientDataSet1.Post;
end;

end.
